use serde::{Deserialize, Serialize};

pub struct Error {
  pub code: i64,
  pub msg: Option<String>,
}

pub struct FindVendorsRequest {}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindVendorsResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub vendors: Vec<String>,
}

pub struct FindGamesRequest {
  pub vendor_key: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindGamesResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub games: Vec<String>,
}

pub struct PlayRequest {
  pub vendor_key: String,
  pub game_key: String,
  pub username: String,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
  pub amount: i64,
  pub request_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct PlayResponse {
  pub code: i64,
  pub msg: Option<String>,
  #[serde(rename = "userId")]
  pub user_id: String,
  pub url: String,
  pub balance: i64,
}
