use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct Error {
  pub code: i64,
  pub msg: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindMembersRequest {
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindMember {
  pub id: i64,
  pub username: String,
  pub cash: i64,
  pub cash_bota: i64,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
  pub oriental_play: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct FindMembersResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub users: Vec<FindMember>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveMemberRequest {
  pub username: String,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct SaveMemberResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub id: Option<i64>,
}
